org.apache.synapse.transport.util

## Class ConfigurationBuilderUtil

- java.lang.Object
- - org.apache.synapse.transport.util.ConfigurationBuilderUtil

-     public class ConfigurationBuilderUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationBuilderUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Boolean` | `getBooleanProperty(java.lang.String name, java.lang.Boolean def, java.util.Properties props)` Get a boolean property that tunes pass-through http transport.
    `static java.lang.Boolean` | `getBooleanProperty(java.lang.String name, java.util.Properties props)` Get a Boolean property that tunes pass-through http transport.
    `static java.lang.Integer` | `getIntProperty(java.lang.String name, java.lang.Integer def, java.util.Properties props)` Get an int property that tunes pass-through http transport.
    `static java.lang.Integer` | `getIntProperty(java.lang.String name, java.util.Properties props)` Get an int property that tunes pass-through http transport.
    `static java.lang.Long` | `getLongProperty(java.lang.String name, java.lang.Long def, java.util.Properties props)`
    `static java.lang.String` | `getStringProperty(java.lang.String name, java.lang.String def, java.util.Properties props)` Get a String property that tunes pass-through http transport.
    `static boolean` | `isIntPropertyConfigured(java.lang.String name, java.util.Properties props)` Return true if user has configured an int property that tunes pass-through http transport.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationBuilderUtil

          public ConfigurationBuilderUtil()

  - ### Method Detail

    - #### getIntProperty

          public static java.lang.Integer getIntProperty(java.lang.String name,
                                                         java.lang.Integer def,
                                                         java.util.Properties props)

      Get an int property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### isIntPropertyConfigured

          public static boolean isIntPropertyConfigured(java.lang.String name,
                                                        java.util.Properties props)

      Return true if user has configured an int property that tunes pass-through http transport.
      Parameters:
        `name` - name of the system/config property
      Returns:
        true if property is configured

    - #### getIntProperty

          public static java.lang.Integer getIntProperty(java.lang.String name,
                                                         java.util.Properties props)

      Get an int property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getLongProperty

          public static java.lang.Long getLongProperty(java.lang.String name,
                                                       java.lang.Long def,
                                                       java.util.Properties props)

    - #### getBooleanProperty

          public static java.lang.Boolean getBooleanProperty(java.lang.String name,
                                                             java.lang.Boolean def,
                                                             java.util.Properties props)

      Get a boolean property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

    - #### getBooleanProperty

          public static java.lang.Boolean getBooleanProperty(java.lang.String name,
                                                             java.util.Properties props)

      Get a Boolean property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
      Returns:
        the value of the property, null if the property is not found

    - #### getStringProperty

          public static java.lang.String getStringProperty(java.lang.String name,
                                                           java.lang.String def,
                                                           java.util.Properties props)

      Get a String property that tunes pass-through http transport. Prefer system properties
      Parameters:
        `name` - name of the system/config property
        `def` - default value to return if the property is not set
      Returns:
        the value of the property to be used

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.